export const KEY = '__rubik_easy_tracking__'
export const KEY_V2 = '__rubik_easy_tracking_v2__'

/**
 * Automatically tracks events reading a window object
 */
function easyTracking() {
  const {event_name: eventName, ...properties} = window[KEY]
  window.analytics.track(eventName, properties)
}

function easyTrackingV2() {
  const {segment_event_name: eventName, ...properties} = window[KEY_V2]
  window.analytics.track(eventName, properties)
}

function loader() {
  if (window[KEY_V2]) return easyTrackingV2()
  if (window[KEY]) return easyTracking()
}

export default loader
