import getPaths from './paths'

const openAdsConfig = {
  consents: {
    purposes: []
  }
}

const validatePath = (paths, pathToSearch) => {
  return paths?.includes(pathToSearch) || isOfferDetail(pathToSearch)
}

const isOfferDetail = path => {
  return path.indexOf('of-i') !== -1
}

const getOpenAdsScriptUrl = environment => {
  const env = environment === '' ? 'pro' : 'pre'
  return `//c.dcdn.es/openads/infojobs/InfojobsOpenAdsClient.${env}.js`
}

const getOpenAdsConfig = ({portal, path, environment, queryParams = ''}) => {
  const paths = getPaths(portal)
  const isEnabled = validatePath(paths, path) && portal === 'es'
  const openAdsScriptUrl = getOpenAdsScriptUrl(environment)
  return {
    config: isEnabled
      ? {openAds: {script: openAdsScriptUrl, ...openAdsConfig}}
      : {}
  }
}

export default getOpenAdsConfig
